#!/usr/bin/make -f
# debian/rules for alien

PACKAGE=$(shell dh_listpackages)
MACHINE = $(shell $(CC) -dumpmachine)
VERSION ?= $(subst $(VERSION_PREFIX)v,,$(strip $(shell git describe --tags)))
VERSION_PARTS = $(subst ., ,$(VERSION))
VMAJOR = $(word 1,$(VERSION_PARTS))
VMINOR = $(word 2,$(VERSION_PARTS))
VBUILD_FULL = $(word 3,$(VERSION_PARTS))
VBUILD = $(word 1,$(subst -, ,$(VBUILD_FULL)))

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean -d

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	dh_installdocs
	dh_installchangelogs

# Copy the packages's files.
	find . -maxdepth 1 -mindepth 1 -not -name debian -print0 | \
		xargs -0 -r -i cp -a {} debian/$(PACKAGE)

	dh_link usr/bin/amxrt usr/bin/tr181-mqtt
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	-dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
